Subject: Re: ucc_uart: add support for Freescale QUICCEngine UART

From: Arnd Bergmann <[email-masked]>
Date: Wed, 5 Dec 2007 00:26:07 +0100

On Tuesday 04 December 2007, Timur Tabi wrote:
> When I program the DMA controller, I give it a dma_addr_t.  And yet, the DMA 
> controller and the QE are both devices on the SoC.  So if the DMA controller 
> takes a dma_addr_t, then shouldn't the QE also take one?
> 

From a code clarity perspective, the interesting point is that dma_addr_t is
what comes back from the functions in dma-mapping.h. If you don't use them,
a physical address is phys_addr_t.

You can argue that the QS is really a DMA device, but in that case you
should convert the driver to use the DMA mapping interfaces correctly,
which I would consider overkill.

	Arnd <><